Reactivate and Restart Automation
POST
/api/v3/automations/{automationUniqueId}/actions/reactivate-and-restart
This endpoint restarts the specified automation, in the event that as part of editorial β someone didnβt republish a change β the automation disabled itself. Yep - this is a pretty specific use-case. The unpublished template will be published and then subsequently available to future automation use - and then the automation itself will be re-enabled.
Our v3 endpoints require a company-level API key.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β automationUniqueId
required
string
Request Body
Section titled βRequest Body βobject
api
boolean
Examples
Example Reactivate and Restart Automation
{ "api": true}object
api
required | When set to true, this endpoint will accept authorization with your API Key.
string
Example
trueResponses
Section titled β Responses β202 - Reactivated and restarted
Media type application/json
object
items
message
string
total
number
Examples
Example 202 - Reactivated and restarted
{ "items": null, "message": "Automation reactivated and restarted successfully", "total": 0}Still can’t find what you need? Contact support.